{% extends '@EasyAdmin/layout.html.twig' %}

{% block content %}

  <article class="content">
    <section class="content-header">
      <div class="content-header-title">
        <h1 class="title">Sessions de {{ user.fullName }}</h1>
      </div>
    </section>

    <section id="main" class="content-body">

      {% for session in sessions %}
        <div class="card">
          <div class="card-header">
            <h2 class="title">Session {{ session.id }}</h2>
          </div>
          <div class="card-body">
            <table class="table">
              <tbody>
              <tr>
                <th>Active</th>
                <td
                  class="field-boolean">{{ session.ongoing ? '<span class="badge badge-boolean-true">Oui</span>' : '<span class="badge badge-boolean-false">Non</span>' }}</td>
              </tr>
              <tr>
                <th>Dernière activité</th>
                <td>{{ session.time|date('d/m/Y H:i:s') }}</td>
              </tr>
              <tr>
                <th>Date d'expiration</th>
                <td>{{ session.lifetime|date('d/m/Y H:i:s') }}</td>
              </tr>
              </tbody>
            </table>
          </div>
          <div class="card-footer">
            {% if session.ongoing and session.username is same as app.user.login %}
              <span class="btn btn-success disabled">Session en cours (suppression impossible)</span>
            {% else %}
              <a
                href="{{ ea_url().setController('App\\Controller\\Admin\\UserCrudController').setAction('deleteSession').setEntityId(user.id).set('sessionId', session.id) }}"
                class="btn btn-danger">Supprimer la session</a>
            {% endif %}
          </div>
        </div>
      {% endfor %}

    </section>
  </article>

{% endblock %}
